Skip navigation.
Home
The QNX Community Portal

View topic - Problem Porting fromTcpIP 4.25 to 5.10

Problem Porting fromTcpIP 4.25 to 5.10

For the old QNX2 and QNX4 RTOS

Problem Porting fromTcpIP 4.25 to 5.10

Postby ferrisimo » Tue Feb 21, 2012 3:15 pm

Can anyone advise me how to fix this issue?

I'm attempting to move a legacy project from tcp 4.25 to the latest 5.10.
The headers have changed slightly but apart from that the socket3r.lib is available with
the new tcprt5.0 installed linked to /usr/lib /usr/watcom/10.6/usr/lib.

The watcom compiler fails to pick up the socket_, setsocketopt_, htons_, bind_ etc.
The previously working build has no explicit socket parameter and it appears the
the library path was sufficient to satisfy the linker.

Am I correct in saying that tcptk50.tar.F matches the runtime from the latest install
disk?

Thanks in advance for any clues.

Cheers,
Dave
ferrisimo
New Member
 
Posts: 2
Joined: Tue Feb 21, 2012 2:59 pm

Re: Problem Porting fromTcpIP 4.25 to 5.10

Postby ferrisimo » Wed Feb 22, 2012 5:13 pm

To answer my own question, incase anyone else wants to know.

The link failed as watcom was unable to select the library automatically.

Looking at socket.h from the older 4.25 installation and the new one shows this pragma block..

#if defined __SW_3R
# pragma library (socket3r)
# elif defined __SW_3S
# pragma library (socket3s)
#elif defined __SMALL__
# pragma library (sockets)
#elif defined __COMPACT__
# pragma library (socketc)
#elif defined __MEDIUM__
# pragma library (socketm)
#elif defined __LARGE__
# pragma library (socketl)
#endif

Adding this back to the later socket.h cured my link issue.

Perhaps there is a better solution, but it works.

Dave.
ferrisimo
New Member
 
Posts: 2
Joined: Tue Feb 21, 2012 2:59 pm


Return to QNX2 and QNX4

Who is online

Users browsing this forum: No registered users and 1 guest